<?php

namespace Database\Seeders;

use App\Models\User;
use Illuminate\Database\Seeder;
use Database\Seeders\UserSeeder;
use Database\Seeders\KriteriaSeeder;
use Database\Seeders\AktivitasSeeder;
use Database\Seeders\JenisKelaminSeeder;
use Database\Seeders\JenisMakananSeeder;
use Database\Seeders\TipeKriteriaSeeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        // \App\Models\User::factory(10)->create();
        $this->call(UserSeeder::class);
        $this->call(AktivitasSeeder::class);
        $this->call(JenisKelaminSeeder::class);
        // $this->call(JenisMakananSeeder::class);
        $this->call(TipeKriteriaSeeder::class);
        $this->call(KriteriaSeeder::class);
        $this->call(KadarGulaSeeder::class);
        $this->call(KebutuhanKaloriSeeder::class);
    }
}
