<?php

namespace Database\Seeders;

use App\Models\User;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $users = [
            [
                'name' => 'Admin',
                'nama_lengkap' => 'Admin',
                'email' => 'anandacahya.com@gmail.com',
                'email_verified_at' => '2024-03-10 18:29:38',
                'password' => bcrypt('12345678'),
            ],
            
        ];

        foreach ($users as $user) {
            User::create($user);
        }
    }
}
